{
  "schema_version": "1.4.0",
  "id": "GHSA-7m24-mw96-fh3w",
  "modified": "2022-05-14T02:16:12Z",
  "published": "2022-05-14T02:16:12Z",
  "aliases": [
    "CVE-2011-0755"
  ],
  "details": "Integer overflow in the mt_rand function in PHP before 5.3.4 might make it easier for context-dependent attackers to predict the return values by leveraging a script's use of a large max parameter, as demonstrated by a value that exceeds mt_getrandmax.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2011-0755"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/65426"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A12589"
    },
    {
      "type": "WEB",
      "url": "http://bugs.php.net/46587"
    },
    {
      "type": "WEB",
      "url": "http://www.php.net/ChangeLog-5.php"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2011-02-02T22:00:00Z"
  }
}